%define	version	0.3.2
%define release	1mdk

%define pkgname openq

Summary:	QQ protocol plugin for Gaim
Name:		gaim-openq
Version:	%{version}
Release:	%{release}
License:	GPL
Group: 		Networking/Instant messaging
URL:		http://openq.linuxsir.org/
# (Abel) bzme: (3171kb => 3447kb). The first case ever seen, where
# gzip compression does better than bzip2 by more than 5%.
Source0: 	http://prdownloads.sourceforge.net/openq/%{pkgname}-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gaim-devel
Requires:	gaim >= 1:1.1.3-2mdk

%description
QQ protocol plugin for Gaim.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure2_5x
%make


%install
rm -rf %{buildroot}
%makeinstall_std

# (Abel) OpenQ copies default gaim theme and adds its own icons; it's
# better to merge it back into default theme, at least this saves some
# space. And theme file is already merged in gaim main package.
mkdir -p %{buildroot}%{_datadir}/pixmaps/gaim/smileys/default
mv %{buildroot}%{_datadir}/pixmaps/gaim/smileys/2003iii/{qq,default}* \
   %{buildroot}%{_datadir}/pixmaps/gaim/smileys/default/

# remove unneeded files
rm -f %{buildroot}%{_datadir}/pixmaps/gaim/status/default/Makefile.mingw \
      %{buildroot}%{_libdir}/gaim/*.la
rm -rf %{buildroot}%{_datadir}/pixmaps/gaim/smileys/2003iii \
       %{buildroot}%{_docdir}

%find_lang %{pkgname}

%clean
rm -rf %{buildroot}

%files -f %{pkgname}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_libdir}/gaim/lib*.so
%{_datadir}/gaim
%{_datadir}/pixmaps/gaim/smileys/default/*
%{_datadir}/pixmaps/gaim/status/default/*

%changelog
* Tue Aug 09 2005 Abel Cheung <deaddog@mandriva.org> 0.3.2-1mdk
- New release

* Thu Feb 24 2005 Abel Cheung <deaddog@mandrake.org> 0.3.1-1mdk
- First Mandrakelinux package
